Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1342342 - RHEL Doc error about S3/S4 operations for guest
Summary: RHEL Doc error about S3/S4 operations for guest
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Peter Krempa
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-03 03:27 UTC by Jingjing Shao
Modified: 2016-11-03 18:46 UTC (History)
6 users (show)

Fixed In Version: libvirt-2.0.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 18:46:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2577 0 normal SHIPPED_LIVE Moderate: libvirt security, bug fix, and enhancement update 2016-11-03 12:07:06 UTC

Description Jingjing Shao 2016-06-03 03:27:01 UTC
Description of problem:
RHEL Doc error about S3/S4 operations for guest

Version-Release number of selected component (if applicable):

How reproducible:
100%

Steps to Reproduce:
1.Check the RHEL doc 
/usr/share/doc/libvirt-docs-1.3.2/html/formatdomain.html

[root@localhost html]# cat /usr/share/doc/libvirt-docs-1.3.2/html/formatdomain.html  | grep S3 -A3
        
for S3 (suspend-to-disk) and S4 (suspend-to-mem) ACPI sleep
states. If nothing is specified, then the hypervisor will be
left with its default value.</dd></dl>
<h3>

2.Also check the libvirt.org, it is also the same with the RHEL doc


Actual results:
the Doc error is that S3 (suspend-to-disk) and S4 (suspend-to-mem)

Expected results:
S3 (suspend-to-mem) and S4 (suspend-to-disk) 

Additional info:
N/A

Comment 2 Peter Krempa 2016-06-15 06:59:57 UTC
Fixed upstream:

commit 442cdb817e0d29c94f98bf9c534d609f7d10380a
Author: Jingjing Shao <jishao@redhat.com>
Date:   Wed Jun 15 11:14:32 2016 +0800

    doc: Fix explanation of S3 and S4 states
    
    Explanation of S3 and S4 states was swapped.

Comment 4 yanqzhan@redhat.com 2016-07-06 11:15:52 UTC
Reproduce this bug with libvirt-1.3.2-1.el7.x86_64
Steps to reproduce: 

1.Check the RHEL doc
#cat /usr/share/doc/libvirt-docs-1.3.2/html/formatdomain.html |grep 'S3 ' -A3
for S3 (suspend-to-disk) and S4 (suspend-to-mem) ACPI sleep
states. If nothing is specified, then the hypervisor will be
left with its default value.</dd></dl>
<h3>

----------------------
Verirfy this bug with libvirt-2.0.0-1.el7.x86_64
Steps to verify:

1.Check the RHEL doc
#cat /usr/share/doc/libvirt-docs-2.0.0/html/formatdomain.html|grep 'S3 ' -A3
for S3 (suspend-to-mem) and S4 (suspend-to-disk) ACPI sleep
states. If nothing is specified, then the hypervisor will be
left with its default value.</dd></dl>
<h3>

2.Also check the libvirt.org : http://libvirt.org/formatdomain.html#elementsPowerManagement :
Power Management
pm
These elements enable ('yes') or disable ('no') BIOS support for S3 (suspend-to-mem) and S4 (suspend-to-disk) ACPI sleep states. If nothing is specified, then the hypervisor will be left with its default value.

Since the result is as expected, mark this bug verified.

Comment 6 errata-xmlrpc 2016-11-03 18:46:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2577.html


Note You need to log in before you can comment on or make changes to this bug.